Subject: [PATCH 6/9] Staging/iio/adc/touchscreen/MXS: add interrupt driven touch detection

From: [email-masked] (Jonathan Cameron)
Date: Tue, 01 Oct 2013 11:51:11 +0100

On 10/01/13 10:28, J?rgen Beisert wrote:
> Hi Jonathan,
> 
> On Tuesday 01 October 2013 11:25:46 Jonathan Cameron wrote:
>> a couple of the patch descriptions say that they are untested on i.MX28.
> 
> On Monday 23 September 2013 16:36:35 Juergen Beisert wrote:
>> For battery driven systems it is a very bad idea to collect the touchscreen
>> data within a kernel busy loop.
>>
>> This change uses the features of the hardware to delay and accumulate
>> samples in hardware to avoid a high interrupt and CPU load.
>>
>> Note: this is only tested on an i.MX23 SoC yet.
> 
> This note is no longer true. Marek tested it on his M28EVK, Lothar on his TX28 
> and myself also on an i.MX28EVK.
> 
> For the IIO part of the driver I tested on my i.MX23 based ChumbyOne and some 
> customer hardware and it seems still to work (I can only guess if the values I 
> read from the sysfs entries are correct, sorry).

Excellent. I'll assume everyone is happy then and add some appropriate
tested-by tags. I'd missed Marek's reply saying he was fine with this.

Thanks,

Jonathan
> Regards,
> Juergen